Skip to main content

Get a document as authenticated user

GET /document/{id}
alphahttps://api.sandbox.ovok.com

File download

Information such as id, contentType, fileName can be fetched by querying /fhir/DocumentReference.

Parameters

ParameterInDescriptionExample
idparamsThe DocumentReference id of the file resourcec3499c27-2973-0a7f-807e-fb8676a92dcb
widthqueryThe width of the image to resize the image to (optional)100
heightqueryThe height of the image to resize the image to (optional)100
fitqueryThe fit of the image to resize the image to (optional) Seecover

Parameters

NameInTypeRequiredDescription
idpathstringyesThe id of the DocumentReference resource
ETagheaderstringnoThe ETag of the file for GET requests. If provided, the server will check the value of the ETag against the value of the ETag in the request headers. If the values match, the server will return a 304 Not Modified response. If the values do not match, the server will return a 200 OK response and the file content, if the file exists.
widthquerystringnoThe width of the binary resource if the resource is an image.
heightquerystringnoThe height of the binary resource if the resource is an image.
fitquerystringnoThe fit of the image. See https://sharp.pixelplumbing.com/api-resize#fit for more information.

Responses

CodeDescription
200Success.
400The request could not be operated by the server.
401The resource owner or authorization server denied the request.
404The requested resource could not be found.
422The request could not be validated by the server.
500The server encountered an unexpected condition. Please try again later.